# 識別番号付き武将クラス

class Commander:
    """武将クラス"""

    __counter = 0   # 何番までの識別番号を与えたか

    def __init__(self, name: str) -> None:
        """コンストラクタ"""
        self.__name = name
        Commander.__counter += 1
        self.__id = Commander.__counter

    def id(self) -> int:
        """"識別番号を取得"""
        return self.__id

    @classmethod
    def max_id(cls) -> int:
        """"現時点で何番までの識別番号を与えたのか"""
        return cls.__counter

    def print(self) -> None:
        """データ表示"""
        print(f'{self.__name}:{self.__id}番')

oda = Commander('織田信長')             # 識別番号は1
toyotomi = Commander('豊臣秀吉')        # 識別番号は2
tokugawa = Commander('徳川家康')        # 識別番号は3

print(f'oda.id() = {oda.id()}')
print(f'toyotomi.id() = {toyotomi.id()}')
print(f'tokugawa.id() = {tokugawa.id()}')

print(f'Commander.max_id() = {Commander.max_id()}')
print(f'oda.max_id() = {oda.max_id()}')
